const modules = import.meta.glob('~/models/*/*.ts')
import ApiResource from "~/models/ApiResource";

const models: Record<string, typeof ApiResource> = {}

for (const path in modules) {
    modules[path]().then((mod) => {
        models[mod.default.entity] = mod.default
    })
}

export default models
